apiVersion: apps/v1
kind: Deployment
metadata:
  name: mailhog-deployment
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    matchLabels:
      app: mailhog-container
  template:
    metadata:
      labels:
        app: mailhog-container
    spec:
      containers:
        - image: mailhog/mailhog:v1.0.1
          name: mailhog-container
          ports:
            - name: web-ui
              containerPort: 8025
            - name: smtp-server
              containerPort: 1025
---
apiVersion: v1
kind: Service
metadata:
  name: mailhog-service
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    app: mailhog-container
  ports:
    - name: web-ui
      protocol: TCP
      port: 8025
      targetPort: 8025
    - name: smtp-server
      protocol: TCP
      port: 1025
      targetPort: 1025